AntiFeatures:
  - NonFreeNet
Categories:
  - Reading
  - Development
License: GPL-3.0-only
AuthorName: Aaron Madlon-Kay
WebSite: https://orgro.org
SourceCode: https://github.com/amake/orgro
IssueTracker: https://github.com/amake/orgro/issues
Donate: https://github.com/sponsors/amake

AutoName: ${displayName}

RepoType: git
Repo: https://github.com/amake/orgro

Builds:
  - versionName: 1.12.2
    versionCode: 35
    commit: v1.12.2+35
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@1.21.0-9.2.pre
    prebuild: touch android/key.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.13.1
    versionCode: 38
    commit: v1.13.1+38
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@1.25.0-8.3.pre
    prebuild: touch android/key.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.14.0
    versionCode: 39
    commit: v1.14.0+39
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@1.26.0-17.6.pre
    prebuild: touch android/key.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.15.0
    versionCode: 40
    commit: v1.15.0+40
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.0.0
    prebuild: touch android/key.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.16.0
    versionCode: 41
    commit: v1.16.0+41
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.0.0
    prebuild: touch android/key.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

  - versionName: 1.17.0
    versionCode: 42
    commit: v1.17.0+42
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.1.0-12.2.pre
    prebuild: touch android/key.properties
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - $$flutter$$/bin/flutter build apk

AutoUpdateMode: Version v%v+%c
UpdateCheckMode: HTTP
UpdateCheckData: https://raw.githubusercontent.com/amake/orgro/master/pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.17.0
CurrentVersionCode: 42
